* hurd-i386 fixes:
+ Use libgdbm-dev for this arch until libtokyocabinet-dev is available.
+ * /usr/bin/mutt is an alternative now, instead of a diversion in
+ mutt-patched.
-- Christoph Berg <myon@debian.org> Sun, 06 Jun 2010 12:58:59 +0200
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # versions prior to 1.5.20-9 used dpkg-divert instead of update-alternatives
+ if [ "$2" ] && dpkg --compare-versions "$2" lt "1.5.20-9" ; then
+ dpkg-divert --remove --package mutt-patched --rename \
+ --divert /usr/bin/mutt.org /usr/bin/mutt
+ fi
+
+ update-alternatives --install /usr/bin/mutt mutt /usr/bin/mutt-patched 60
+fi
+
+#DEBHELPER#
+
+exit 0
+++ /dev/null
-#!/bin/sh -e
-
-if [ "$1" = remove ] ; then
- dpkg-divert --remove --package mutt-patched --rename \
- --divert /usr/bin/mutt.org /usr/bin/mutt
-fi
-
-#DEBHELPER#
-
-exit 0
+++ /dev/null
-#!/bin/sh -e
-
-# Divert mutt to mutt.org so the binary from mutt-patched can replace it.
-# We do not need to divert the debugging symbols in the mutt-dbg package
-# as the debugging link in there points to the correct file in any case.
-
-if [ "$1" = install ] || [ "$1" = upgrade ] ; then
- dpkg-divert --add --package mutt-patched --rename \
- --divert /usr/bin/mutt.org /usr/bin/mutt
-fi
-
-#DEBHELPER#
-
-exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|deconfigure)
+ update-alternatives --remove mutt /usr/bin/mutt-patched
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ update-alternatives --install /usr/bin/mutt mutt /usr/bin/mutt-org 50
+fi
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|deconfigure)
+ update-alternatives --remove mutt /usr/bin/mutt-org
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
grep '^set' contrib/gpg.rc; \
echo ) > debian/tmp/gpg.rc
+ dh_install
+
+ # prepare files for update-alternatives
+ mv debian/mutt/usr/bin/mutt debian/mutt/usr/bin/mutt-org
ifeq ($(BUILD_PATCHED),yes)
- # temporarily call the binary mutt-patched so dh_strip gets the debug file name right
install -D $(objdir)-patched/mutt debian/mutt-patched/usr/bin/mutt-patched
endif
binary binary-arch: install
###################### binary ######################
- dh_install
dh_installman
dh_installmenu
dh_installmime
dh_strip --dbg-package=mutt-dbg
rm -rf $(CURDIR)/debian/mutt-dbg/usr/share/doc/mutt-dbg \
$(CURDIR)/debian/mutt-patched/usr/share/doc/mutt-patched
-ifeq ($(BUILD_PATCHED),yes)
- mv debian/mutt-patched/usr/bin/mutt-patched debian/mutt-patched/usr/bin/mutt
-endif
dh_link
dh_compress --exclude usr/share/doc/mutt/README.Patches